package capitulo04.bloque04;


import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio04 {
    public static void main(String[] args) {
        System.out.println("El número de palabras es " + contarPalabras(solicitarStringScanner("Introduzca una frase para contar sus palabras")));
    }

    public static int contarPalabras(String textAContar) {
        textAContar = " " + textAContar;
        int recuento = 0;
        for (int i = 0; i < textAContar.length(); i++) {
            if ((i + 1) < textAContar.length() && textAContar.charAt(i) == ' ' && textAContar.charAt(i + 1) != ' ') {
                recuento++;
            }
        }
        return recuento;
    }
}
